* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

body {
    background: #121212;
    color: white;
}

.topbar {
    height: 70px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 25px;
    border-bottom: 1px solid #2a2a2a;
}

.left,
.center,
.right {
    display: flex;
    align-items: center;
    gap: 15px;
}

button,
select {
    background: #1d1d1d;
    color: white;
    border: none;
    border-radius: 8px;
    padding: 10px 16px;
    cursor: pointer;
}

button:hover {
    background: #303030;
}

main{
    padding:20px;
}

#calendar{
    display:grid;
    grid-template-columns:repeat(7,1fr);
    border:1px solid #2a2a2a;
    border-top:none;
}

.day{
    background:#181818;
    height:170px;
    border-right:1px solid #2b2b2b;
    border-bottom:1px solid #2b2b2b;
    padding:6px;
    position:relative;
    transition:background 0.15s;
}

.day:hover{
    background:#1f1f1f;
}


#calendar-container{
    padding:20px;
}

#weekdays{
    display:grid;
    grid-template-columns:repeat(7,1fr);
    background:#151515;
    border:1px solid #2a2a2a;
    border-bottom:none;
}

.weekday{
    text-align:center;
    padding:8px;
    color:#9aa0a6;
    font-size:11px;
    font-weight:600;
    letter-spacing:1px;
    text-transform:uppercase;
    border-right:1px solid #2a2a2a;
}

.weekday:last-child{
    border-right:none;
}

.date{
    font-size:14px;
    margin-bottom:10px;
    font-weight:500;
}

.other-month{
    color:#666;
}

.today{
    width:28px;
    height:28px;
    background:#1A73E8;
    color:white;
    border-radius:50%;
    display:flex;
    align-items:center;
    justify-content:center;
}

.event{
    background:#3b82f6;
    color:white;
    font-size:11px;
    padding:3px 6px;
    border-radius:4px;
    margin-top:4px;
    overflow:hidden;
    white-space:nowrap;
    text-overflow:ellipsis;
}

.more-events{
    font-size:11px;
    color:#9AA0A6;
    margin-top:4px;
}

.event{
    margin-top:4px;
    padding:3px 6px;
    background:#1a73e8;
    color:white;
    border-radius:4px;
    font-size:11px;
    overflow:hidden;
    white-space:nowrap;
    text-overflow:ellipsis;
}

.more-events{
    margin-top:4px;
    font-size:11px;
    color:#9aa0a6;
}